Skip to main content
POST
/
v1
/
public
/
accounts
/
{account_id}
/
forwarding
Create Forwarding
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/forwarding \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target_email": "jsmith@example.com",
  "domain": "<string>",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "active": true,
  "created_at": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target_email": "<string>",
  "updated_at": "<string>",
  "verification_required": true,
  "verification_expires_at": "<string>",
  "verification_sent_at": "<string>",
  "verification_verified_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Path Parameters

account_id
string<uuid>
required

Body

application/json

Request to create a forwarding rule under an account path scope.

target_email
string<email>
required

Forwarding destination email address

domain
string | null

Domain UUID or domain name scope for the forwarding rule

workspace_id
string<uuid> | null

Workspace UUID scope for the forwarding rule

Response

active
boolean
required

Whether forwarding is active

created_at
string
required

Forwarding rule creation timestamp

id
string<uuid>
required

Forwarding rule UUID

scope_id
string<uuid>
required

Resource UUID for the forwarding scope

scope_type
enum<string>
required

Resource scope type for the forwarding rule

Available options:
account,
workspace,
domain
target_email
string
required

Forwarding destination email address

updated_at
string
required

Forwarding rule last update timestamp

verification_required
boolean
required

Whether recipient verification is required

verification_state
enum<string>
required

Recipient verification state

Available options:
internal,
pending,
verified,
expired
verification_expires_at
string | null

Verification expiry timestamp

verification_sent_at
string | null

Verification email sent timestamp

verification_verified_at
string | null

Verification completion timestamp